"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_up_icon2 = common_vendor.resolveComponent("up-icon");
  _easycom_up_icon2();
}
const _easycom_up_icon = () => "../../node-modules/uview-plus/components/u-icon/u-icon.js";
if (!Math) {
  _easycom_up_icon();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "hs-up-rate",
  props: ["valueModel"],
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(5, (i, index, i0) => {
          return {
            a: index,
            b: "dbea2f2b-0-" + i0,
            c: common_vendor.p({
              name: "star-fill",
              size: "18",
              color: index < (props == null ? void 0 : props.valueModel) ? "#FFC53D" : "#F3F3F4"
            })
          };
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-dbea2f2b"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/components/hs-up-rate/hs-up-rate.vue"]]);
wx.createComponent(Component);
